
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_avoidObs_POSTER_XML_LIB_H
#define MPC_avoidObs_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "MPC_avoidObsPrintXML.h"
#include "MPC_avoidObsPosterLib.h"

/* Prototypes */
void webMPC_avoidObs(FILE *f, int argc, char **argv, char **argn);
extern STATUS MPC_avoidObsCntrlPosterXML (FILE *f);
extern STATUS MPC_avoidObsCntrlPosterActivityXML (FILE *f);
extern STATUS MPC_avoidObsModePosterXML (FILE *f);
extern STATUS MPC_avoidObsModemodePosterXML (FILE *f);
extern STATUS MPC_avoidObsCTrajPosterXML (FILE *f);
extern STATUS MPC_avoidObsCTrajctrajPosterXML (FILE *f);
extern STATUS MPC_avoidObsSTrajPosterXML (FILE *f);
extern STATUS MPC_avoidObsSTrajstrajPosterXML (FILE *f);
extern STATUS MPC_avoidObsBestPathTSPosterXML (FILE *f);
extern STATUS MPC_avoidObsBestPathTSbestPathPosterXML (FILE *f);
extern STATUS MPC_avoidObsCandPathTSPosterXML (FILE *f);
extern STATUS MPC_avoidObsCandPathTStabCandPath_userPosterXML (FILE *f);
extern STATUS MPC_avoidObsATFwaypointsPosterXML (FILE *f);
extern STATUS MPC_avoidObsATFwaypointsatf_waypoints_userPosterXML (FILE *f);
extern STATUS MPC_avoidObsDistObsMapPosterXML (FILE *f);
extern STATUS MPC_avoidObsDistObsMapdistObsMap_userPosterXML (FILE *f);
#endif /* MPC_AVOIDOBS_POSTER_XML_LIB_H */

