
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_AVOIDOBS_PRINT_H
#define MPC_AVOIDOBS_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/MPC_plannerPrint.h"

#include "server/MPC_DEMTreatmentPrint.h"

#include "server/dtmPrint.h"

#include "server/pomPrint.h"

#include "server/genPosPrint.h"


#include "MPC_avoidObsPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_STRAJ_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_STRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_CTRAJ_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_CTRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOIDOBS_MODE_POSTER_STR ( FILE *out,
     struct MPC_AVOIDOBS_MODE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_AVOID_STR ( FILE *out,
     struct MPC_AVOID_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VELFEEDBACKMODE_I ( FILE *out,
     struct VELFEEDBACKMODE_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DISTMAPOPTIONS_I ( FILE *out,
     struct DISTMAPOPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_FOLLOWTRAJ_I ( FILE *out,
     struct FOLLOWTRAJ_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TFPARAMS_I ( FILE *out,
     struct TFPARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_KEEP_SHIFT_I ( FILE *out,
     struct KEEP_SHIFT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ATGPARAMS_I ( FILE *out,
     struct ATGPARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_AVOIDTF_I ( FILE *out,
     struct AVOIDTF_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ATFPARAMS_I ( FILE *out,
     struct ATFPARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TRACK_I ( FILE *out,
     struct TRACK_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OA_MANATRAJSEL_OPTIONS_I ( FILE *out,
     struct OA_MANATRAJSEL_OPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OA_TRAJSEL_OPTIONS_I ( FILE *out,
     struct OA_TRAJSEL_OPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OA_SETMANASYS_I ( FILE *out,
     struct OA_SETMANASYS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TRAJSEL_I ( FILE *out,
     struct TRAJSEL_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OA_GOTO_INIT_I ( FILE *out,
     struct OA_GOTO_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OA_INIT_I ( FILE *out,
     struct OA_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_LIST_WP ( FILE *out,
     struct LIST_WP *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_WP2D ( FILE *out,
     struct WP2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TAB_CAND_PATH ( FILE *out,
     struct TAB_CAND_PATH *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_CAND_PATH_XY ( FILE *out,
     struct CAND_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MANA_PSTRAJ ( FILE *out,
     struct MANA_PSTRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MANA_PCTRAJ ( FILE *out,
     struct MANA_PCTRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TIMEV ( FILE *out,
     struct TIMEV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_POLY_MULTIITV ( FILE *out,
     struct POLY_MULTIITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_POLY_ITV ( FILE *out,
     struct POLY_ITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ITV ( FILE *out,
     struct ITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_POLYNOME4 ( FILE *out,
     struct POLYNOME4 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GPSNovatel_FLAG ( FILE *out,
     enum GPSNovatel_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GPS_LOG_FORMAT ( FILE *out,
     enum GPS_LOG_FORMAT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_HEADINGb_LOG ( FILE *out,
     struct HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM6HEADINGb_LOG ( FILE *out,
     struct OEM6HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_BESTXYZb_LOG ( FILE *out,
     struct BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM4BESTXYZb_LOG ( FILE *out,
     struct OEM4BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_BESTVELb_LOG ( FILE *out,
     struct BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM4BESTVELb_LOG ( FILE *out,
     struct OEM4BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_BESTUTMb_LOG ( FILE *out,
     struct BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM4BESTUTMb_LOG ( FILE *out,
     struct OEM4BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_BESTPOSb_LOG ( FILE *out,
     struct BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM4BESTPOSb_LOG ( FILE *out,
     struct OEM4BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_OEM4_BINARY_HEADER ( FILE *out,
     struct OEM4_BINARY_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_OEM4_BINARY_HEADER ( FILE *out,
     OEM4_BINARY_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OEM4BESTPOSb_LOG ( FILE *out,
     OEM4BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_BESTPOSb_LOG ( FILE *out,
     BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OEM4BESTUTMb_LOG ( FILE *out,
     OEM4BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_BESTUTMb_LOG ( FILE *out,
     BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OEM4BESTVELb_LOG ( FILE *out,
     OEM4BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_BESTVELb_LOG ( FILE *out,
     BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OEM4BESTXYZb_LOG ( FILE *out,
     OEM4BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_BESTXYZb_LOG ( FILE *out,
     BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OEM6HEADINGb_LOG ( FILE *out,
     OEM6HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_HEADINGb_LOG ( FILE *out,
     HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GPS_LOG_FORMAT ( FILE *out,
     GPS_LOG_FORMAT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GPSNovatel_FLAG ( FILE *out,
     GPSNovatel_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_POLYNOME4 ( FILE *out,
     POLYNOME4 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ITV ( FILE *out,
     ITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_POLY_ITV ( FILE *out,
     POLY_ITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_POLY_MULTIITV ( FILE *out,
     POLY_MULTIITV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TIMEV ( FILE *out,
     TIMEV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MANA_PCTRAJ ( FILE *out,
     MANA_PCTRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MANA_PSTRAJ ( FILE *out,
     MANA_PSTRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_CAND_PATH_XY ( FILE *out,
     CAND_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TAB_CAND_PATH ( FILE *out,
     TAB_CAND_PATH *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_WP2D ( FILE *out,
     WP2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_LIST_WP ( FILE *out,
     LIST_WP *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OA_INIT_I ( FILE *out,
     OA_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OA_GOTO_INIT_I ( FILE *out,
     OA_GOTO_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TRAJSEL_I ( FILE *out,
     TRAJSEL_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OA_SETMANASYS_I ( FILE *out,
     OA_SETMANASYS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OA_TRAJSEL_OPTIONS_I ( FILE *out,
     OA_TRAJSEL_OPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OA_MANATRAJSEL_OPTIONS_I ( FILE *out,
     OA_MANATRAJSEL_OPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TRACK_I ( FILE *out,
     TRACK_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ATFPARAMS_I ( FILE *out,
     ATFPARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_AVOIDTF_I ( FILE *out,
     AVOIDTF_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ROBUFAST_COM_PARAMS_I ( FILE *out,
     ROBUFAST_COM_PARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_KEEP_SHIFT_I ( FILE *out,
     KEEP_SHIFT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TFPARAMS_I ( FILE *out,
     TFPARAMS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_FOLLOWTRAJ_I ( FILE *out,
     FOLLOWTRAJ_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DISTMAPOPTIONS_I ( FILE *out,
     DISTMAPOPTIONS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELFEEDBACKMODE_I ( FILE *out,
     VELFEEDBACKMODE_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOID_STR ( FILE *out,
     MPC_AVOID_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_MODE_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_MODE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_CTRAJ_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_CTRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_STRAJ_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_STRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR ( FILE *out,
     MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* MPC_AVOIDOBS_PRINT_H */

