
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_AVOIDOBS_SCAN_H
#define MPC_AVOIDOBS_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/MPC_plannerTclservClientDecode.h"

#include "server/tclservClient/MPC_DEMTreatmentTclservClientDecode.h"

#include "server/tclservClient/dtmTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/MPC_avoidObsPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR (char** buf, struct MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR (char** buf, struct MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR (char** buf, struct MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR (char** buf, struct MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_STRAJ_POSTER_STR (char** buf, struct MPC_AVOIDOBS_STRAJ_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_CTRAJ_POSTER_STR (char** buf, struct MPC_AVOIDOBS_CTRAJ_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOIDOBS_MODE_POSTER_STR (char** buf, struct MPC_AVOIDOBS_MODE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_AVOID_STR (char** buf, struct MPC_AVOID_STR *x, int nDim, int *dims );
int scan_buf_struct_VELFEEDBACKMODE_I (char** buf, struct VELFEEDBACKMODE_I *x, int nDim, int *dims );
int scan_buf_struct_DISTMAPOPTIONS_I (char** buf, struct DISTMAPOPTIONS_I *x, int nDim, int *dims );
int scan_buf_struct_FOLLOWTRAJ_I (char** buf, struct FOLLOWTRAJ_I *x, int nDim, int *dims );
int scan_buf_struct_TFPARAMS_I (char** buf, struct TFPARAMS_I *x, int nDim, int *dims );
int scan_buf_struct_KEEP_SHIFT_I (char** buf, struct KEEP_SHIFT_I *x, int nDim, int *dims );
int scan_buf_struct_ATGPARAMS_I (char** buf, struct ATGPARAMS_I *x, int nDim, int *dims );
int scan_buf_struct_AVOIDTF_I (char** buf, struct AVOIDTF_I *x, int nDim, int *dims );
int scan_buf_struct_ATFPARAMS_I (char** buf, struct ATFPARAMS_I *x, int nDim, int *dims );
int scan_buf_struct_TRACK_I (char** buf, struct TRACK_I *x, int nDim, int *dims );
int scan_buf_struct_OA_MANATRAJSEL_OPTIONS_I (char** buf, struct OA_MANATRAJSEL_OPTIONS_I *x, int nDim, int *dims );
int scan_buf_struct_OA_TRAJSEL_OPTIONS_I (char** buf, struct OA_TRAJSEL_OPTIONS_I *x, int nDim, int *dims );
int scan_buf_struct_OA_SETMANASYS_I (char** buf, struct OA_SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_struct_TRAJSEL_I (char** buf, struct TRAJSEL_I *x, int nDim, int *dims );
int scan_buf_struct_OA_GOTO_INIT_I (char** buf, struct OA_GOTO_INIT_I *x, int nDim, int *dims );
int scan_buf_struct_OA_INIT_I (char** buf, struct OA_INIT_I *x, int nDim, int *dims );
int scan_buf_struct_LIST_WP (char** buf, struct LIST_WP *x, int nDim, int *dims );
int scan_buf_struct_WP2D (char** buf, struct WP2D *x, int nDim, int *dims );
int scan_buf_struct_TAB_CAND_PATH (char** buf, struct TAB_CAND_PATH *x, int nDim, int *dims );
int scan_buf_struct_CAND_PATH_XY (char** buf, struct CAND_PATH_XY *x, int nDim, int *dims );
int scan_buf_struct_MANA_PSTRAJ (char** buf, struct MANA_PSTRAJ *x, int nDim, int *dims );
int scan_buf_struct_MANA_PCTRAJ (char** buf, struct MANA_PCTRAJ *x, int nDim, int *dims );
int scan_buf_struct_TIMEV (char** buf, struct TIMEV *x, int nDim, int *dims );
int scan_buf_struct_POLY_MULTIITV (char** buf, struct POLY_MULTIITV *x, int nDim, int *dims );
int scan_buf_struct_POLY_ITV (char** buf, struct POLY_ITV *x, int nDim, int *dims );
int scan_buf_struct_ITV (char** buf, struct ITV *x, int nDim, int *dims );
int scan_buf_struct_POLYNOME4 (char** buf, struct POLYNOME4 *x, int nDim, int *dims );
int scan_buf_enum_GPSNovatel_FLAG (char** buf, enum GPSNovatel_FLAG *x, int nDim, int *dims );
int scan_buf_enum_GPS_LOG_FORMAT (char** buf, enum GPS_LOG_FORMAT *x, int nDim, int *dims );
int scan_buf_struct_HEADINGb_LOG (char** buf, struct HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM6HEADINGb_LOG (char** buf, struct OEM6HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTXYZb_LOG (char** buf, struct BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTXYZb_LOG (char** buf, struct OEM4BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTVELb_LOG (char** buf, struct BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTVELb_LOG (char** buf, struct OEM4BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTUTMb_LOG (char** buf, struct BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTUTMb_LOG (char** buf, struct OEM4BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTPOSb_LOG (char** buf, struct BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTPOSb_LOG (char** buf, struct OEM4BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4_BINARY_HEADER (char** buf, struct OEM4_BINARY_HEADER *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_OEM4_BINARY_HEADER (char** buf, OEM4_BINARY_HEADER *x, int nDim, int *dims );
int scan_buf_OEM4BESTPOSb_LOG (char** buf, OEM4BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_BESTPOSb_LOG (char** buf, BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTUTMb_LOG (char** buf, OEM4BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_BESTUTMb_LOG (char** buf, BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTVELb_LOG (char** buf, OEM4BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_BESTVELb_LOG (char** buf, BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTXYZb_LOG (char** buf, OEM4BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_BESTXYZb_LOG (char** buf, BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_OEM6HEADINGb_LOG (char** buf, OEM6HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_HEADINGb_LOG (char** buf, HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_GPS_LOG_FORMAT (char** buf, GPS_LOG_FORMAT *x, int nDim, int *dims );
int scan_buf_GPSNovatel_FLAG (char** buf, GPSNovatel_FLAG *x, int nDim, int *dims );
int scan_buf_POLYNOME4 (char** buf, POLYNOME4 *x, int nDim, int *dims );
int scan_buf_ITV (char** buf, ITV *x, int nDim, int *dims );
int scan_buf_POLY_ITV (char** buf, POLY_ITV *x, int nDim, int *dims );
int scan_buf_POLY_MULTIITV (char** buf, POLY_MULTIITV *x, int nDim, int *dims );
int scan_buf_TIMEV (char** buf, TIMEV *x, int nDim, int *dims );
int scan_buf_MANA_PCTRAJ (char** buf, MANA_PCTRAJ *x, int nDim, int *dims );
int scan_buf_MANA_PSTRAJ (char** buf, MANA_PSTRAJ *x, int nDim, int *dims );
int scan_buf_CAND_PATH_XY (char** buf, CAND_PATH_XY *x, int nDim, int *dims );
int scan_buf_TAB_CAND_PATH (char** buf, TAB_CAND_PATH *x, int nDim, int *dims );
int scan_buf_WP2D (char** buf, WP2D *x, int nDim, int *dims );
int scan_buf_LIST_WP (char** buf, LIST_WP *x, int nDim, int *dims );
int scan_buf_OA_INIT_I (char** buf, OA_INIT_I *x, int nDim, int *dims );
int scan_buf_OA_GOTO_INIT_I (char** buf, OA_GOTO_INIT_I *x, int nDim, int *dims );
int scan_buf_TRAJSEL_I (char** buf, TRAJSEL_I *x, int nDim, int *dims );
int scan_buf_OA_SETMANASYS_I (char** buf, OA_SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_OA_TRAJSEL_OPTIONS_I (char** buf, OA_TRAJSEL_OPTIONS_I *x, int nDim, int *dims );
int scan_buf_OA_MANATRAJSEL_OPTIONS_I (char** buf, OA_MANATRAJSEL_OPTIONS_I *x, int nDim, int *dims );
int scan_buf_TRACK_I (char** buf, TRACK_I *x, int nDim, int *dims );
int scan_buf_ATFPARAMS_I (char** buf, ATFPARAMS_I *x, int nDim, int *dims );
int scan_buf_AVOIDTF_I (char** buf, AVOIDTF_I *x, int nDim, int *dims );
int scan_buf_ROBUFAST_COM_PARAMS_I (char** buf, ROBUFAST_COM_PARAMS_I *x, int nDim, int *dims );
int scan_buf_KEEP_SHIFT_I (char** buf, KEEP_SHIFT_I *x, int nDim, int *dims );
int scan_buf_TFPARAMS_I (char** buf, TFPARAMS_I *x, int nDim, int *dims );
int scan_buf_FOLLOWTRAJ_I (char** buf, FOLLOWTRAJ_I *x, int nDim, int *dims );
int scan_buf_DISTMAPOPTIONS_I (char** buf, DISTMAPOPTIONS_I *x, int nDim, int *dims );
int scan_buf_VELFEEDBACKMODE_I (char** buf, VELFEEDBACKMODE_I *x, int nDim, int *dims );
int scan_buf_MPC_AVOID_STR (char** buf, MPC_AVOID_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_MODE_POSTER_STR (char** buf, MPC_AVOIDOBS_MODE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_CTRAJ_POSTER_STR (char** buf, MPC_AVOIDOBS_CTRAJ_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_STRAJ_POSTER_STR (char** buf, MPC_AVOIDOBS_STRAJ_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR (char** buf, MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR (char** buf, MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR (char** buf, MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR (char** buf, MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MPC_AVOIDOBS_SCAN_H */

