/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_AVOIDOBS_PRINT_H
#define MPC_AVOIDOBS_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/MPC_plannerTclservClientEncode.h"

#include "server/tclservClient/MPC_DEMTreatmentTclservClientEncode.h"

#include "server/tclservClient/dtmTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/MPC_avoidObsPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_STRAJ_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_STRAJ_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_CTRAJ_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_CTRAJ_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOIDOBS_MODE_POSTER_STR ( buf_t buf, struct MPC_AVOIDOBS_MODE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_AVOID_STR ( buf_t buf, struct MPC_AVOID_STR *x, int nDim, int *dims);
void buf_add_struct_VELFEEDBACKMODE_I ( buf_t buf, struct VELFEEDBACKMODE_I *x, int nDim, int *dims);
void buf_add_struct_DISTMAPOPTIONS_I ( buf_t buf, struct DISTMAPOPTIONS_I *x, int nDim, int *dims);
void buf_add_struct_FOLLOWTRAJ_I ( buf_t buf, struct FOLLOWTRAJ_I *x, int nDim, int *dims);
void buf_add_struct_TFPARAMS_I ( buf_t buf, struct TFPARAMS_I *x, int nDim, int *dims);
void buf_add_struct_KEEP_SHIFT_I ( buf_t buf, struct KEEP_SHIFT_I *x, int nDim, int *dims);
void buf_add_struct_ATGPARAMS_I ( buf_t buf, struct ATGPARAMS_I *x, int nDim, int *dims);
void buf_add_struct_AVOIDTF_I ( buf_t buf, struct AVOIDTF_I *x, int nDim, int *dims);
void buf_add_struct_ATFPARAMS_I ( buf_t buf, struct ATFPARAMS_I *x, int nDim, int *dims);
void buf_add_struct_TRACK_I ( buf_t buf, struct TRACK_I *x, int nDim, int *dims);
void buf_add_struct_OA_MANATRAJSEL_OPTIONS_I ( buf_t buf, struct OA_MANATRAJSEL_OPTIONS_I *x, int nDim, int *dims);
void buf_add_struct_OA_TRAJSEL_OPTIONS_I ( buf_t buf, struct OA_TRAJSEL_OPTIONS_I *x, int nDim, int *dims);
void buf_add_struct_OA_SETMANASYS_I ( buf_t buf, struct OA_SETMANASYS_I *x, int nDim, int *dims);
void buf_add_struct_TRAJSEL_I ( buf_t buf, struct TRAJSEL_I *x, int nDim, int *dims);
void buf_add_struct_OA_GOTO_INIT_I ( buf_t buf, struct OA_GOTO_INIT_I *x, int nDim, int *dims);
void buf_add_struct_OA_INIT_I ( buf_t buf, struct OA_INIT_I *x, int nDim, int *dims);
void buf_add_struct_LIST_WP ( buf_t buf, struct LIST_WP *x, int nDim, int *dims);
void buf_add_struct_WP2D ( buf_t buf, struct WP2D *x, int nDim, int *dims);
void buf_add_struct_TAB_CAND_PATH ( buf_t buf, struct TAB_CAND_PATH *x, int nDim, int *dims);
void buf_add_struct_CAND_PATH_XY ( buf_t buf, struct CAND_PATH_XY *x, int nDim, int *dims);
void buf_add_struct_MANA_PSTRAJ ( buf_t buf, struct MANA_PSTRAJ *x, int nDim, int *dims);
void buf_add_struct_MANA_PCTRAJ ( buf_t buf, struct MANA_PCTRAJ *x, int nDim, int *dims);
void buf_add_struct_TIMEV ( buf_t buf, struct TIMEV *x, int nDim, int *dims);
void buf_add_struct_POLY_MULTIITV ( buf_t buf, struct POLY_MULTIITV *x, int nDim, int *dims);
void buf_add_struct_POLY_ITV ( buf_t buf, struct POLY_ITV *x, int nDim, int *dims);
void buf_add_struct_ITV ( buf_t buf, struct ITV *x, int nDim, int *dims);
void buf_add_struct_POLYNOME4 ( buf_t buf, struct POLYNOME4 *x, int nDim, int *dims);
void buf_add_enum_GPSNovatel_FLAG ( buf_t buf, enum GPSNovatel_FLAG *x, int nDim, int *dims);
void buf_add_enum_GPS_LOG_FORMAT ( buf_t buf, enum GPS_LOG_FORMAT *x, int nDim, int *dims);
void buf_add_struct_HEADINGb_LOG ( buf_t buf, struct HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM6HEADINGb_LOG ( buf_t buf, struct OEM6HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTXYZb_LOG ( buf_t buf, struct BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTXYZb_LOG ( buf_t buf, struct OEM4BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTVELb_LOG ( buf_t buf, struct BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTVELb_LOG ( buf_t buf, struct OEM4BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTUTMb_LOG ( buf_t buf, struct BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTUTMb_LOG ( buf_t buf, struct OEM4BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTPOSb_LOG ( buf_t buf, struct BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTPOSb_LOG ( buf_t buf, struct OEM4BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4_BINARY_HEADER ( buf_t buf, struct OEM4_BINARY_HEADER *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_OEM4_BINARY_HEADER ( buf_t buf, OEM4_BINARY_HEADER *x, int nDim, int *dims);
void buf_add_OEM4BESTPOSb_LOG ( buf_t buf, OEM4BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_BESTPOSb_LOG ( buf_t buf, BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTUTMb_LOG ( buf_t buf, OEM4BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_BESTUTMb_LOG ( buf_t buf, BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTVELb_LOG ( buf_t buf, OEM4BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_BESTVELb_LOG ( buf_t buf, BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTXYZb_LOG ( buf_t buf, OEM4BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_BESTXYZb_LOG ( buf_t buf, BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_OEM6HEADINGb_LOG ( buf_t buf, OEM6HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_HEADINGb_LOG ( buf_t buf, HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_GPS_LOG_FORMAT ( buf_t buf, GPS_LOG_FORMAT *x, int nDim, int *dims);
void buf_add_GPSNovatel_FLAG ( buf_t buf, GPSNovatel_FLAG *x, int nDim, int *dims);
void buf_add_POLYNOME4 ( buf_t buf, POLYNOME4 *x, int nDim, int *dims);
void buf_add_ITV ( buf_t buf, ITV *x, int nDim, int *dims);
void buf_add_POLY_ITV ( buf_t buf, POLY_ITV *x, int nDim, int *dims);
void buf_add_POLY_MULTIITV ( buf_t buf, POLY_MULTIITV *x, int nDim, int *dims);
void buf_add_TIMEV ( buf_t buf, TIMEV *x, int nDim, int *dims);
void buf_add_MANA_PCTRAJ ( buf_t buf, MANA_PCTRAJ *x, int nDim, int *dims);
void buf_add_MANA_PSTRAJ ( buf_t buf, MANA_PSTRAJ *x, int nDim, int *dims);
void buf_add_CAND_PATH_XY ( buf_t buf, CAND_PATH_XY *x, int nDim, int *dims);
void buf_add_TAB_CAND_PATH ( buf_t buf, TAB_CAND_PATH *x, int nDim, int *dims);
void buf_add_WP2D ( buf_t buf, WP2D *x, int nDim, int *dims);
void buf_add_LIST_WP ( buf_t buf, LIST_WP *x, int nDim, int *dims);
void buf_add_OA_INIT_I ( buf_t buf, OA_INIT_I *x, int nDim, int *dims);
void buf_add_OA_GOTO_INIT_I ( buf_t buf, OA_GOTO_INIT_I *x, int nDim, int *dims);
void buf_add_TRAJSEL_I ( buf_t buf, TRAJSEL_I *x, int nDim, int *dims);
void buf_add_OA_SETMANASYS_I ( buf_t buf, OA_SETMANASYS_I *x, int nDim, int *dims);
void buf_add_OA_TRAJSEL_OPTIONS_I ( buf_t buf, OA_TRAJSEL_OPTIONS_I *x, int nDim, int *dims);
void buf_add_OA_MANATRAJSEL_OPTIONS_I ( buf_t buf, OA_MANATRAJSEL_OPTIONS_I *x, int nDim, int *dims);
void buf_add_TRACK_I ( buf_t buf, TRACK_I *x, int nDim, int *dims);
void buf_add_ATFPARAMS_I ( buf_t buf, ATFPARAMS_I *x, int nDim, int *dims);
void buf_add_AVOIDTF_I ( buf_t buf, AVOIDTF_I *x, int nDim, int *dims);
void buf_add_ROBUFAST_COM_PARAMS_I ( buf_t buf, ROBUFAST_COM_PARAMS_I *x, int nDim, int *dims);
void buf_add_KEEP_SHIFT_I ( buf_t buf, KEEP_SHIFT_I *x, int nDim, int *dims);
void buf_add_TFPARAMS_I ( buf_t buf, TFPARAMS_I *x, int nDim, int *dims);
void buf_add_FOLLOWTRAJ_I ( buf_t buf, FOLLOWTRAJ_I *x, int nDim, int *dims);
void buf_add_DISTMAPOPTIONS_I ( buf_t buf, DISTMAPOPTIONS_I *x, int nDim, int *dims);
void buf_add_VELFEEDBACKMODE_I ( buf_t buf, VELFEEDBACKMODE_I *x, int nDim, int *dims);
void buf_add_MPC_AVOID_STR ( buf_t buf, MPC_AVOID_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_MODE_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_MODE_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_CTRAJ_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_CTRAJ_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_STRAJ_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_STRAJ_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_BESTPATHTS_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_BESTPATHTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_CANDPATHTS_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_CANDPATHTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_ATFWAYPOINTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR ( buf_t buf, MPC_AVOIDOBS_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MPC_AVOIDOBS_TCLSERV_CLIENT_ENCODE_H */

